Xerces-C++ 3.2.4

List of all members
XSNamespaceItem Class Reference

`#include <xercesc/framework/psvi/XSNamespaceItem.hpp>`

Inheritance diagram for XSNamespaceItem:

## Public Member Functions
Constructors
| XSNamespaceItem (XSModel *const xsModel, SchemaGrammar *const grammar, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
| XSNamespaceItem (XSModel *const xsModel, const XMLCh *const schemaNamespace, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XSNamespaceItem ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSNamespaceItem methods
class | XSModel
class | XSObjectFactory
MemoryManager *const | fMemoryManager
SchemaGrammar * | fGrammar
XSModel * | fXSModel
XSNamedMap< XSObject > * | fComponentMap [XSConstants::MULTIVALUE_FACET]
XSAnnotationList * | fXSAnnotationList
RefHashTableOf< XSObject > * | fHashMap [XSConstants::MULTIVALUE_FACET]
const XMLCh * | fSchemaNamespace
const XMLCh * | getSchemaNamespace () const
| [schema namespace]: A namespace name or `null` corresponding to the target namespace of the schema document. More...
XSNamedMap< XSObject > * | getComponents (XSConstants::COMPONENT_TYPE objectType)
| [schema components]: a list of top-level components, i.e. More...
XSAnnotationList * | getAnnotations ()
| [annotations]: a set of annotations. More...
const XSAnnotationList * | getAnnotations () const
XSElementDeclaration * | getElementDeclaration (const XMLCh *name)
| Convenience method. More...
XSAttributeDeclaration * | getAttributeDeclaration (const XMLCh *name)
| Convenience method. More...
XSTypeDefinition * | getTypeDefinition (const XMLCh *name)
| Convenience method. More...
XSAttributeGroupDefinition * | getAttributeGroup (const XMLCh *name)
| Convenience method. More...
XSModelGroupDefinition * | getModelGroupDefinition (const XMLCh *name)
| Convenience method. More...
XSNotationDeclaration * | getNotationDeclaration (const XMLCh *name)
| Convenience method. More...
const StringList * | getDocumentLocations ()
| [document location] - a list of locations URI for the documents that contributed to the XSModel. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ◆ XSNamespaceItem() [1/2]

XSNamespaceItem::XSNamespaceItem | ( | XSModel *const | xsModel,
|  | SchemaGrammar *const | grammar,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  xsModel |
  grammar |
  manager | The configurable memory manager

## ◆ XSNamespaceItem() [2/2]

XSNamespaceItem::XSNamespaceItem | ( | XSModel *const | xsModel,
|  | const XMLCh *const | schemaNamespace,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~XSNamespaceItem()

XSNamespaceItem::~XSNamespaceItem | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotations() [1/2]

XSAnnotationList * XSNamespaceItem::getAnnotations | ( |  | ) |

[annotations]: a set of annotations.

References fXSAnnotationList.

## ◆ getAnnotations() [2/2]

const XSAnnotationList * XSNamespaceItem::getAnnotations | ( |  | ) | const

References fXSAnnotationList.

## ◆ getAttributeDeclaration()

XSAttributeDeclaration * XSNamespaceItem::getAttributeDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level attribute declaration.

Parameters

  name | The name of the declaration.

Returns
  A top-level attribute declaration or `null` if such declaration does not exist.

## ◆ getAttributeGroup()

XSAttributeGroupDefinition * XSNamespaceItem::getAttributeGroup | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level attribute group definition.

Parameters

  name | The name of the definition.

Returns
  A top-level attribute group definition or `null` if such definition does not exist.

## ◆ getComponents()

XSNamedMap< XSObject > * XSNamespaceItem::getComponents | ( | XSConstants::COMPONENT_TYPE | objectType | ) |

[schema components]: a list of top-level components, i.e.

element declarations, attribute declarations, etc.

Parameters

  objectType | The type of the declaration, i.e. `ELEMENT_DECLARATION`, `TYPE_DEFINITION` and any other component type that may be a property of a schema component.

Returns
  A list of top-level definition of the specified type in `objectType` or `null`.

## ◆ getDocumentLocations()

const StringList * XSNamespaceItem::getDocumentLocations | ( |  | ) |

[document location] - a list of locations URI for the documents that contributed to the XSModel.

## ◆ getElementDeclaration()

XSElementDeclaration * XSNamespaceItem::getElementDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level element declaration.

Parameters

  name | The name of the declaration.

Returns
  A top-level element declaration or `null` if such declaration does not exist.

## ◆ getModelGroupDefinition()

XSModelGroupDefinition * XSNamespaceItem::getModelGroupDefinition | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level model group definition.

Parameters

  name | The name of the definition.

Returns
  A top-level model group definition definition or `null` if such definition does not exist.

## ◆ getNotationDeclaration()

XSNotationDeclaration * XSNamespaceItem::getNotationDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level notation declaration.

Parameters

  name | The name of the declaration.

Returns
  A top-level notation declaration or `null` if such declaration does not exist.

## ◆ getSchemaNamespace()

const XMLCh * XSNamespaceItem::getSchemaNamespace | ( |  | ) | const

[schema namespace]: A namespace name or `null` corresponding to the target namespace of the schema document.

References fSchemaNamespace.

## ◆ getTypeDefinition()

XSTypeDefinition * XSNamespaceItem::getTypeDefinition | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level simple or complex type definition.

Parameters

  name | The name of the definition.

Returns
  An `XSTypeDefinition` or `null` if such definition does not exist.

## Friends And Related Function Documentation

## ◆ XSModel

friend class XSModel
| friend

## ◆ XSObjectFactory

friend class XSObjectFactory
| friend

## Member Data Documentation

## ◆ fComponentMap

XSNamedMap<XSObject>* XSNamespaceItem::fComponentMap[XSConstants::MULTIVALUE_FACET]
| protected

## ◆ fGrammar

SchemaGrammar* XSNamespaceItem::fGrammar
| protected

## ◆ fHashMap

RefHashTableOf<XSObject>* XSNamespaceItem::fHashMap[XSConstants::MULTIVALUE_FACET]
| protected

## ◆ fMemoryManager

MemoryManager* const XSNamespaceItem::fMemoryManager
| protected

## ◆ fSchemaNamespace

const XMLCh* XSNamespaceItem::fSchemaNamespace
| protected

Referenced by getSchemaNamespace().

## ◆ fXSAnnotationList

XSAnnotationList* XSNamespaceItem::fXSAnnotationList
| protected

Referenced by getAnnotations().

## ◆ fXSModel

XSModel* XSNamespaceItem::fXSModel
| protected

The documentation for this class was generated from the following file:

- XSNamespaceItem.hpp